# Simple Extensible Human Notation (.sehn)

## Formats

### `atom`

1. `todo`

### `real`

1. `<int>`
2. `<sig>e<exp>`
3. `<int>.<frac>`

| part   | allowed value   |
| ------ | --------------- |
| `int`  | `-?[1-9][0-9]*` |
| `frac` | `[0-9]*`        |
| `sig`  | `<int>`         |
| `exp`  | `<int>`         |

### `text`

1. `"<text>"`
2. Multiline:
    ```
    `
        "<text>"
        "<text>"
    `
    ```

A `text` value holds low and behold, text.

### `map`

1. `{ <any>: <any>, ...}`

A dictionary is a structure with `text` keys mapping to any value.

### `seq`

1. `[<any>, ...]`

A list is a structure with a sequence of any value.
